CVE-2017-14106

NameCVE-2017-14106
DescriptionThe tcp_disconnect function in net/ipv4/tcp.c in the Linux kernel before 4.12 allows local users to cause a denial of service (__tcp_select_window divide-by-zero error and system crash) by triggering a disconnect within a certain tcp_recvmsg code path.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1099-1, DSA-3981-1
NVD severitymedium (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1vulnerable
wheezy (security)3.2.96-3fixed
jessie3.16.51-2fixed
jessie (security)3.16.51-3+deb8u1fixed
stretch4.9.65-3fixed
stretch (security)4.9.82-1+deb9u2fixed
buster4.14.13-1fixed
sid4.15.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.12.6-1medium
linuxsourcejessie3.16.43-2+deb8u5mediumDSA-3981-1
linuxsourcestretch4.9.30-2+deb9u5mediumDSA-3981-1
linuxsourcewheezy3.2.93-1mediumDLA-1099-1

Notes

Fixed by: https://git.kernel.org/linus/499350a5a6e7512d9ed369ed63a4244b6536f4f8 (v4.12-rc3)

Search for package or bug name: Reporting problems